using System;

namespace _3
{
    class Program
    {
        static void Citaj(double[,] x, int n)
        {
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                x[i, 0] = double.Parse(s[0]);
                x[i, 1] = double.Parse(s[1]);
            }
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine()), s = 0;
            double[,] x = new double[n, 2];
            Citaj(x, n);
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    for (int k = 0; k < n; k++)
                    {
                        for (int l = 0; l < n; l++)
                        {
                            if ((i != k && j != l ) && ((x[i, 1] - x[j, 1]) / (x[i, 0] - x[j, 0])) == (x[k, 1] - x[l, 1]) / (x[k, 0] - x[l, 0]) && Math.Abs(Math.Sqrt(Math.Pow(x[i, 0] - x[j, 0], 2) + Math.Pow(x[i, 1] - x[j, 1], 2)) - Math.Sqrt(Math.Pow(x[k, 0] - x[l, 0], 2) + Math.Pow(x[k, 1] - x[l, 1], 2))) == Math.Sqrt(Math.Pow(x[i, 0] - x[j, 0], 2) + Math.Pow(x[i, 1] - x[j, 1], 2)))
                            {
                                s++;
                            }
                        }
                    }
                }
            }
                Console.WriteLine(s/(n-2));
        }
    }
}